<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/recurring-loan-deductions_black.png">Recurring Loan Deductions</h2>
<div class="card formFieldsBlock">
    <div class="col-sm-12">
        <form [formGroup]="RecdedForm">

            <mat-card class="row" *ngFor="let recurringDeductions of recurringDeductionsArr.controls; let i = index" [formGroup]="recurringDeductions">
                <span class="s-no">{{i+1}}</span>
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Deduction Type</mat-label>
                        <mat-select formControlName="deductionType">
                            <mat-option *ngFor="let type of deductionTypes;let i=index;" [value]="type.code">{{type.code}}</mat-option>
                        </mat-select>
                        <mat-error *ngIf="recurringDeductions.controls['deductionType'].errors?.required &&
                        recurringDeductions.controls['deductionType'].touched">
                            Please Select Deduction Type.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label> No. of Installments</mat-label>
                        <input matInput type="number" formControlName="noIns" required autocomplete="off" />
                        <mat-error *ngIf="recurringDeductions.controls['noIns'].errors?.required &&
                        recurringDeductions.controls['noIns'].touched">
                            Please Enter No. of Installments
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label> Installment Amount </mat-label>
                        <input matInput type="number" formControlName="insAmount" required autocomplete="off" />
                        <mat-error *ngIf="recurringDeductions.controls['insAmount'].errors?.required &&
                        recurringDeductions.controls['insAmount'].touched">
                            Please Enter Installment Amount
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Loan Deduction Start Date</mat-label>
                        <input matInput (click)="picker.open()" [matDatepicker]="picker2" formControlName="loanDedDate" required>
                        <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                        <mat-datepicker #picker2></mat-datepicker>
                        <mat-error *ngIf="recurringDeductions.controls['loanDedDate'].errors?.required &&
                        recurringDeductions.controls['loanDedDate'].touched">
                            Please Select Deduction Start Date.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Start Date</mat-label>
                        <input matInput (click)="picker.open()" [matDatepicker]="picker" formControlName="dedDate" required>
                        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                        <mat-datepicker #picker></mat-datepicker>
                        <mat-error *ngIf="recurringDeductions.controls['dedDate'].errors?.required &&
                        recurringDeductions.controls['dedDate'].touched">
                            Please Select Deduction Start Date.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>End Date</mat-label>
                        <input matInput (click)="picker1.open()" [matDatepicker]="picker1" formControlName="endDate">
                        <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                        <mat-datepicker #picker1></mat-datepicker>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Amount</mat-label>
                        <input matInput type="number" formControlName="amount" required autocomplete="off" />
                        <mat-error *ngIf="recurringDeductions.controls['amount'].errors?.required &&
                        recurringDeductions.controls['amount'].touched">
                            Please Enter Amount.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Reason</mat-label>
                        <input matInput maxlength="120" formControlName="notes" required />
                        <mat-error *ngIf="recurringDeductions.controls['notes'].errors?.required &&
                        recurringDeductions.controls['notes'].touched">
                            Please Enter Reason.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="remove-action" *ngIf="!pkNumber">
                    <button type="reset" mat-mini-fab class="add-remove-item remove" (click)="removeItem(i)">-</button>
                </div>
            </mat-card>
            <div class="add-action" *ngIf="!pkNumber">
                <span><button mat-mini-fab (click)="addItem()">+</button></span> <span class="text-btn">Add</span>
            </div>
            <br>
            <div class="btn-grp">
                <button mat-raised-button *ngIf="pkNumber" class="submit-btn save-btn" [disabled]="!pkNumber" (click)="onCancel()">Reset</button>
                <button [disabled]="!RecdedForm.valid" mat-raised-button class="submit-btn" (click)="onSubmit('save')">Save</button>
                <button mat-raised-button [disabled]="!RecdedForm.valid" class="submit-btn" (click)="onSubmit('submit')"> Submit</button>
            </div>

        </form>
    </div>
</div>